@echo off

read 1e6e2070 > hwstrap.reg
memsize hwstrap.reg

IF ERRORLEVEL 2 goto MSZ256
IF ERRORLEVEL 1 goto MSZ128
goto ERR

:MSZ128
echo Update firmware for BMC with 128M
echo Update Root File System
socflash cs=0 if=..\..\..\fw\362.bin offset=0x6C0000 count=0x1400000 skip=0x6C0000

echo Update Kernel
socflash cs=0 if=..\..\..\fw\362.bin offset=0x2C0000 count=0x300000 skip=0x2C0000

echo Erase User Configuration
socflash cs=0 if=..\..\..\fw\362.bin offset=0xC0000 count=0x200000 skip=0xC0000

echo Update Bootloader
socflash cs=0 if=..\..\..\fw\362.bin count=0xC0000
goto WAIT

:MSZ256
echo Update Firmware for BMC with 256M
echo Update Root File System
socflash cs=0 if=..\..\..\fw\762.bin offset=0x6C0000 count=0x1400000 skip=0x6C0000

echo Update Kernel
socflash cs=0 if=..\..\..\fw\762.bin offset=0x2C0000 count=0x300000 skip=0x2C0000

echo Erase User Configuration
socflash cs=0 if=..\..\..\fw\762.bin offset=0xC0000 count=0x200000 skip=0xC0000

echo Update Bootloader
socflash cs=0 if=..\..\..\fw\762.bin count=0xC0000
goto WAIT

:ERR
echo ERROR! The memory size of BMC is UNDEFINED.

:WAIT
echo Wait 90 seconds for BMC Ready...

TYPE NUL | CHOICE /C:YN /N /T:Y,30 > NUL
TYPE NUL | CHOICE /C:YN /N /T:Y,30 > NUL
TYPE NUL | CHOICE /C:YN /N /T:Y,30 > NUL

echo Done. Please confirm the following things is correct or not.
echo.
echo 1. MAC Address
echo 2. FRU Data
echo.
echo If necessary, you should re-program SKU.BIN to BMC

:END

